Bug 299311 - slub cache breaks slabtop (slubtop?)
slub cache breaks slabtop (slubtop?)
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
: 382611 (view as bug list)
Depends On: 396041
  Show dependency treegraph
Reported: 2007-09-20 17:14 EDT by Eric Sandeen
Modified: 2008-01-31 08:54 EST (History)
5 users (show)

See Also:
Fixed In Version: kernel-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-30 06:51:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2007-09-20 17:14:15 EDT
the new slub cache in F8 breaks slabtop; there is no /proc/slabinfo anymore, but
rather /sys/slab/*

Comment 1 Tomas Smetana 2007-09-21 05:38:31 EDT
Not only in F8.  Even my FC-6 has this thing after update and looking at the
kernel changes it may be really easier to write a new utility (and name it
slubtop :)) than bending the old one -- there's too many changes at the first
look.  Thanks for reporting.
Comment 2 Tomas Smetana 2007-09-21 06:40:25 EDT
Adding the upstream maintainer to cc:, he might be interested.
Comment 3 Tomas Smetana 2007-11-14 14:15:50 EST
*** Bug 382611 has been marked as a duplicate of this bug. ***
Comment 4 Tomas Smetana 2008-01-24 08:02:25 EST
In rawhide (procps-3.2.7-19.2) it should be OK now -- kernel was fixed.  For F-8
we depend on bug #396041.  I'll close this bug when the updated kernel gets to
F-8 repositories.
Comment 5 David Juran 2008-01-30 06:51:13 EST
This works fine now in F8 with procps-3.2.7-17.fc8 and kernel-
Comment 6 Eric Sandeen 2008-01-30 08:49:11 EST
Thanks!  Rawhide is indeed ok; will upgrade F8 in a bit.

Note You need to log in before you can comment on or make changes to this bug.